cURL
curl --request GET \
--url https://api.rownd.io/applications/{app}/groups/{group}/invites \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>'import requests
url = "https://api.rownd.io/applications/{app}/groups/{group}/invites"
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-rownd-app-key': '<api-key>', 'x-rownd-app-secret': '<api-key>'}
};
fetch('https://api.rownd.io/applications/{app}/groups/{group}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_results": 123,
"results": [
{
"roles": [
"editor"
],
"id": "c92kd7td7z4myhu7z5y637cp",
"group_id": "group_zjca79svvbqfeilwr8httcal",
"email": "randy@foo.com",
"phone": 19199993333,
"user_id": "user_mni5316glfgwtgljboxrv2it",
"user_lookup_value": "randy@foo.com",
"redirect_url": "/somewhere/on/my/site#",
"app_variant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
"accepted_by": "user_vgzrk03xpenj6td8vwi9crh4",
"ensured_user_id": "<string>"
}
]
}Group Invitations
List group invites
Platform API for listing group invites
GET
/
applications
/
{app}
/
groups
/
{group}
/
invites
cURL
Authorizations
appKey & appSecrethubAccessTokenForRowndApi
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Query Parameters
The User ID for which the invite was created. This is not the member ID
⌘I